petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexSNESComputeResidualFEM

Form the local residual F from the local input X using pointwise functions specified by the user

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeResidualFEM(DM dm, Vec X, Vec F, void *user)

### Input Parameters

| dm | - The mesh
| X | - Local solution
| user | - The user context

### Output Parameter

F -Local output vector

### See Also

DMPlexComputeJacobianActionFEM()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html